mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.InteropServices.ComVisible(true) To be added

Provides various static methods for configuring the remoting infrastructure.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string'

  The application ID is prepended to the URI of the objects created by the currently executing application.

  Gets the ID of the currently executing application.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string'

  An application name can be set only once, either through the current property or through a configuration file. If an application is running inside a hosted environment, such as Internet Information Services (IIS), this value might have already been set (usually to the virtual directory). The current property will return null if the application name has not been set.

  Gets or sets the name of a remoting application.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete("Use Configure(String,Boolean)")
  System.Void ``

  is obsolete. Please use instead.

  Passing null as the parameter will cause default remoting initialization without requiring the existence of a configuration file.

  For configuration file syntax, see [<topic://gnconremotingsettingsschema>].

  Marshal-by-reference objects (MBRs) do not reside in memory forever. Instead, unless the type overrides to control its own lifetime policies, each MBR has a finite lifetime before the .NET Framework remoting system begins the process of deleting it and reclaiming the memory. For more information, see Lifetime Leases.

  Reads the configuration file and configures the remoting infrastructure. is obsolete. Please use instead.

  The name of the remoting configuration file. Can be null.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  Passing null as the parameter will cause default remoting initialization without requiring the existence of a configuration file. For more information about remoting and security see Security in Remoting.

  For configuration file syntax, see [<topic://gnconremotingsettingsschema>].

  Marshal-by-reference objects (MBRs) do not reside in memory forever. Instead, unless the type overrides to control its own lifetime policies, each MBR has a finite lifetime before the .NET Framework remoting system begins the process of deleting it and reclaiming the memory. For more information, see Lifetime Leases.

  Reads the configuration file and configures the remoting infrastructure.

  The name of the remoting configuration file. Can be null. If set to true security is required. If set to false, security is not required but still may be used.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  Complete exception information includes the exact server exception and the server stack trace. Filtered information includes a standard remoting exception but no server stack trace.

  The CustomErrorsEnabled method reflects configuration settings that were specified in the mode attribute of the <customErrors> element of the application configuration file. For more information about configuration options, see [<topic://cpconconfiguration>].

  The following table shows the three server channel property values that specify which callers receive exception information and what type of information they receive.

  Value

  Description

  off

  All callers receive complete exception information.

  on

  All callers receive filtered exception information.

  remoteOnly

  Local callers receive complete exception information; remote callers receive filtered exception information.

  The following table shows the interaction of the parameter and the server channel property.

  Value

  isLocalRequest

  Return value

  Description

  on

  true

  true

  Local callers receive filtered exception information.

  on

  false

  true

  Remote callers receive filtered exception information.

  off

  true

  false

  Local callers receive complete exception information.

  off

  false

  false

  Remote callers receive complete exception information.

  remoteOnly

  true

  false

  Local callers receive complete exception information.

  remoteOnly

  false

  true

  Remote callers receive filtered exception information.

  For information about using application configuration files to control the return of exception information to callers, see the <customErrors> element.

  Indicates whether the server channels in this application domain return filtered or complete exception information to local or remote callers.

  true if only filtered exception information is returned to local or remote callers, as specified by the parameter; false if complete exception information is returned.

  true to specify local callers; false to specify remote callers.
- Property
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.CustomErrorsModes To be added. To be added.

  Gets or sets value that indicates how custom errors are handled.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.ActivatedClientTypeEntry[]

  For a detailed description of client-activated objects, see [<topic://cpconClientActivation>].

  Retrieves an array of object types registered on the client as types that will be activated remotely.

  An array of object types registered on the client as types that will be activated remotely.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.ActivatedServiceTypeEntry[]

  For a detailed description of client-activated objects, see [<topic://cpconClientActivation>].

  Retrieves an array of object types registered on the service end that can be activated on request from a client.

  An array of object types registered on the service end that can be activated on request from a client.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.WellKnownClientTypeEntry[]

  Well-known object types can be either single call or singleton. If an object type is single call, then a new instance of it is created each time a call from the client comes in. All calls to a singleton object are handled by one instance of that object.

  For a more detailed description of well-known objects, see [<topic://cpconServerActivation>].

  Retrieves an array of object types registered on the client end as well-known types.

  An array of object types registered on the client end as well-known types.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.WellKnownServiceTypeEntry[]

  Well-known object types can be either single call or singleton. If an object type is single call, then a new instance of it is created each time a call from the client comes in. All calls to a singleton object are handled by one instance of that object.

  For a more detailed description of well-known objects, see [<topic://cpconServerActivation>].

  Retrieves an array of object types registered on the service end as well-known types.

  An array of object types registered on the service end as well-known types.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  The current method is used at the server end to determine whether an activation of the object is explicitly allowed by the server.

  Returns a Boolean value that indicates whether the specified is allowed to be client activated.

  true if the specified is allowed to be client activated; otherwise, false.

  The object to check.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.ActivatedClientTypeEntry `` To be added

  Checks whether the specified object is registered as a remotely activated client type.

  The that corresponds to the specified object type.

  The object type to check.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.ActivatedClientTypeEntry `` `` To be added

  Checks whether the object specified by its type name and assembly name is registered as a remotely activated client type.

  The that corresponds to the specified object type.

  The type name of the object to check. The assembly name of the object to check.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.WellKnownClientTypeEntry `` To be added

  Checks whether the specified object is registered as a well-known client type.

  The that corresponds to the specified object type.

  The object to check.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.WellKnownClientTypeEntry `` `` To be added

  Checks whether the object specified by its type name and assembly name is registered as a well-known client type.

  The that corresponds to the specified object type.

  The type name of the object to check. The assembly name of the object to check.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  Gets the ID of the currently executing process.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  To create an instance of a client-activated object on the server, you must know its and it must be registered on the server end by using the method. To obtain a proxy for a new instance of the client-activated object, the client must first register a channel with and then activate the object by calling new.

  To activate a client-activated object type with the new keyword, you must first register the object type on the client end using the method. Calling the method gives the remoting infrastructure the location of the remote application where new attempts to create it. If, on the other hand, you use the method to create a new instance of the client-activated object, you must supply the remote application's URL as a parameter, so no prior registration on the client end is necessary. To supply the method with the URL of the server where you want to create the object, you must encapsulate the URL in an instance of the class.

  For a detailed description of client-activated objects, see [<topic://cpconClientActivation>].

  Registers an object recorded in the provided on the client end as a type that can be activated on the server.

  Configuration settings for the client-activated type.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  To create an instance of a client-activated object on the server, you must know its and it must be registered on the server end by using the method. To obtain a proxy for a new instance of the client-activated object, the client must first register a channel with and then activate the object by calling new.

  To activate a client-activated object type with the new keyword, you must first register the object type on the client end using the method. Calling the method gives the remoting infrastructure the location of the remote application where new attempts to create it. If, on the other hand, you use the method to create a new instance of the client-activated object, you must supply the remote application's URL as a parameter, so no prior registration on the client end is necessary. To supply the method with the URL of the server where you want to create the object, you must encapsulate the URL in an instance of the class.

  For a detailed description of client-activated objects, see [<topic://cpconClientActivation>]

  Registers an object on the client end as a type that can be activated on the server, using the given parameters to initialize a new instance of the class.

  The object . URL of the application where this type is activated.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  To create an instance of a client-activated object on the server, you must know its and it must be registered on the server end by using the method. To obtain a proxy for a new instance of the client-activated object, the client must first register a channel with and then activate the object by calling new or .

  To activate a client-activated object type with the new keyword, you must first register the object type on the client end using the method. Calling the method gives the remoting infrastructure the location of the remote application, where new attempts to create it. If, on the other hand, you use the method to create a new instance of the client-activated object, you must supply the remote application's URL as a parameter, so no prior registration on the client end is necessary. To supply the method with the URL of the server where you want to create the object, you must encapsulate the URL in an instance of the class.

  For a detailed description of client-activated objects, see [<topic://cpconClientActivation>].

  Registers an object type recorded in the provided on the service end as one that can be activated on request from a client.

  Configuration settings for the client-activated type.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  To create an instance of a client-activated object on the server, you must know its and it must be registered on the server end by using the method. To obtain a proxy for a new instance of the client-activated object, the client must first register a channel with and then activate the object by calling new or .

  To activate a client-activated object type with the new keyword, you must first register the object type on the client end using the method. Calling the method gives the remoting infrastructure the location of the remote application, where new attempts to create it. If, on the other hand, you use the method to create a new instance of the client-activated object, you must supply the remote application's URL as a parameter, so no prior registration on the client end is necessary. To supply the method with the URL of the server where you want to create the object, you must encapsulate the URL in an instance of the class.

  For a detailed description of client-activated objects, see [<topic://cpconClientActivation>].

  Registers a specified object type on the service end as a type that can be activated on request from a client.

  The of object to register.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  Any client that knows the URI of a registered well-known object can obtain a proxy for the object by registering the channel it prefers with , and activating the object by calling new or . To activate a well-known object with new, you must first register the well-known object type on the client using the method. Calling the method gives the remoting infrastructure the location of the remote object, which allows the new keyword to create it. If, on the other hand, you use the method to activate the well-known object, you must supply it with the object's URL as an argument, so no prior registration on the client end is necessary.

  For a detailed description of well-known objects, see [<topic://cpconServerActivation>].

  Registers an object recorded in the provided on the client end as a well-known type that can be activated on the server.

  Configuration settings for the well-known type.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  Any client that knows the URI of a registered well-known object can obtain a proxy for the object by registering the channel it prefers with , and activating the object by calling new or . To activate a well-known object with new, you must first register the well-known object type on the client using the method. Calling the method gives the remoting infrastructure the location of the remote object, which allows the new keyword to create it. If, on the other hand, you use the method to activate the well-known object, you must supply it with the object's URL as an argument, so no prior registration on the client end is necessary.

  For a detailed description of well-known objects, see [<topic://cpconServerActivation>].

  Registers an object on the client end as a well-known type that can be activated on the server, using the given parameters to initialize a new instance of the class.

  The object . URL of a well-known client object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  Any client that knows the URI of a registered well-known object can obtain a proxy for the object by registering the channel it prefers with , and activating the object by calling new or the method. To activate a well-known object with new, you must first register the well-known object type on the client using the method. Calling the method gives the remoting infrastructure the location of the remote object, which allows the new keyword to create it. If, on the other hand, you use the method to activate the well-known object, you must supply it with the object's URL as an argument, so no prior registration on the client end is necessary.

  When the call arrives at the server, the .NET Framework extracts the URI from the message, examines the remoting tables to locate the reference for the object that matches the URI, and then instantiates the object if necessary, forwarding the method call to the object. If the object is registered as , it is destroyed after the method call is completed. A new instance of the object is created for each method called. The only difference between and new is that the former allows you to specify a URL as a parameter, and the latter obtains the URL from the configuration.

  The remote object itself is not instantiated by the registration process. This only happens when a client attempts to call a method on the object or activates the object from the client side.

  For a detailed description of well-known objects, see [<topic://cpconServerActivation>].

  Registers an object recorded in the provided on the service end as a well-known type.

  Configuration settings for the well-known type.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  Any client that knows the URI of a registered well-known object can obtain a proxy for the object by registering the channel it prefers with , and activating the object by calling new or the method. To activate a well-known object with new, you must first register the well-known object type on the client using the method. Calling the method gives the remoting infrastructure the location of the remote object, which allows the new keyword to create it. If, on the other hand, you use the method to activate the well-known object, you must supply it with the object's URL as an argument, so no prior registration on the client end is necessary.

  When the call arrives at the server, the .NET Framework extracts the URI from the message, examines the remoting tables to locate the reference for the object that matches the URI, and then instantiates the object if necessary, forwarding the method call to the object. If the object is registered as , it is destroyed after the method call is completed. A new instance of the object is created for each method called. The only difference between and new is that the former allows you to specify a URL as a parameter, and the latter obtains the URL from the configuration.

  The remote object itself is not instantiated by the registration process. This only happens when a client attempts to call a method on the object or activates the object from the client side.

  For a detailed description of well-known objects, see [<topic://cpconServerActivation>].

  Registers an object on the service end as a well-known type, using the given parameters to initialize a new instance of .

  The object . The object URI. The activation mode of the well-known object type being registered. (See .)